# atSDK

## Overview

The atSDK is the best way to embed the atProtocol into new or existing software. This can be anything from a graphical desktop application to firmware flashed on a microcontroller.

### Sections

<table data-column-title-hidden data-view="cards"><thead><tr><th data-card-target data-type="content-ref">Link</th><th>Description</th></tr></thead><tbody><tr><td><a href="sdk/get-started">get-started</a></td><td>Setup the atSDK for your preferred language</td></tr><tr><td><a href="sdk/onboarding">onboarding</a></td><td>How to authenticate to an atServer</td></tr><tr><td><a href="sdk/atid-reference">atid-reference</a></td><td>Learn how to create atKeys for your chosen platform</td></tr><tr><td><a href="sdk/crud-operations">crud-operations</a></td><td>How to do basic CRUD operations on an atServer</td></tr><tr><td><a href="sdk/events">events</a></td><td>How to send and receive real-time messages</td></tr><tr><td><a href="sdk/synchronization">synchronization</a></td><td>Implementation specific features to know about</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.atsign.com/~/revisions/kPoFwMVlM1fLY2MMGYLD/sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
